Subject: iproute2 tc: Print qdisc, stats, class, filter info to string rather than FILE

From: Vadim Kochan <[email-masked]>
Date: Wed, 7 Jan 2015 23:53:31 +0200

Hi,

I'd like to make possible to generate plot info about class hierarchy
with qdisc, filters, stats info, but I see that all this staffs are
printed to 'FILE *fp' which makes this hard to implement and seems to me
that it should be changed to be printed to 'char *s' (memory safety
should be considered by asprintf or similar), so this is a big change
but all this is possible and I ready to do it, but before do it I'd like
to ask if this could be acceptable as idea.

BUT maybe someone can advise me easier solution ?

Regards,